package com.livelike.livelikeandroidchallenge

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.livelike.flickersearchlibrary.Flickr
import com.livelike.flickersearchlibrary.api.model.Photo
import kotlinx.coroutines.launch

class FlickrServiceViewModel : ViewModel() {

    private val _photos = MutableLiveData<List<Photo>>()
    val photos: LiveData<List<Photo>> = _photos

    fun searchFlickrPhotos(searchQuery: String) = viewModelScope.launch {
        _photos.postValue(Flickr.search(searchQuery))
    }

}