package com.livelike.livelikeandroidchallenge

import android.os.Bundle
import android.util.Log
import androidx.activity.viewModels
import androidx.appcompat.app.AppCompatActivity
import androidx.lifecycle.lifecycleScope

class MainActivity : AppCompatActivity() {

    private val viewModel: FlickrServiceViewModel by viewModels()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        viewModel.photos.observe(this) {
            Log.d("LiveLikeTest: ", "Received result: $it")
        }

        lifecycleScope.launchWhenCreated {
            viewModel.searchFlickrPhotos("test")
        }
    }
}