package com.livelike.flickersearchlibrary

import com.livelike.flickersearchlibrary.api.model.PhotosPage
import com.livelike.flickersearchlibrary.di.Dependencies
import com.livelike.flickersearchlibrary.service.FlickrService
import org.koin.java.KoinJavaComponent.inject

/**
 * Defines Flickr service features.
 */
object Flickr {

    init {
        Dependencies.init()
    }

    private val flickrService: FlickrService by inject(FlickrService::class.java)

    /**
     * Provides search result for given search term.
     *
     * @param searchQuery [String] the search term.
     * @return [PhotosPage] search results page.
     */
    suspend fun search(searchQuery: String) = flickrService.search(searchQuery)

}