package com.livelike.flickersearchlibrary.service

import com.livelike.flickersearchlibrary.api.model.Photo

/**
 * Interface for the service providing Flickr features.
 */
interface FlickrService {

    /**
     * Searches for photos and retrieves [List] of [Photo]s.
     *
     * @param searchQuery [String] text query for searching photos.
     * @return [List] of [Photo]s matching [searchQuery]
     */
    suspend fun search(searchQuery: String): List<Photo>
}